ViewFunctions

com.uva.rafael.tfg_goniometer.interfaces

## Interface ViewFunctions

- All Known Implementing Classes:
    PerfilPacienteFragment, UltimasMedicionesFragment

      public interface ViewFunctions

  Esta interfaz engloba metodos publicos de algunas de las clases de tipo `View` (en el sentido de "Model-View-Presenter", no en el sentido de `View` que tiene Android) que se encuentran en el paquete "view.fragments" de esta aplicacion.

  Esta interfaz posee dos metodos que utilizan varios de los `Fragments`, razon por la cual son metodos comunes a toda la interfaz. Ademas de esto, varios de los `Fragment` poseen su propia interfaz, que engloba los metodos especificos de cada uno de ellos.

  Esta interfaz forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `AlertDialog`, `Animation`

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ViewFunctions.MedicionFunctions` Interfaz correspondiente al `Fragment MedicionFragment`
    `static interface` | `ViewFunctions.NuevaMedicionFunctions` Interfaz correspondiente al `Fragment NuevaMedicionFragment`
    `static interface` | `ViewFunctions.NuevoPacienteFunctions` Interfaz correspondiente al `Fragment NuevoPacienteFragment`
    `static interface` | `ViewFunctions.PerfilPacienteFunctions` Interfaz correspondiente al `Fragment PerfilPacienteFragment`
    `static interface` | `ViewFunctions.SobreAppFunctions` Interfaz correspondiente al `Fragment SobreAppFragment`
    `static interface` | `ViewFunctions.UltimasMedicionesFunctions` Interfaz correspondiente al `Fragment UltimasMedicionesFragment`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `displayError()` Metodo que muestra un mensaje de error cuando se ha intentado insertar o eliminar un dato de la Base de Datos.
    `void` | `displaySuccess()` Metodo que muestra un mensaje de exito cuando se ha logrado insertar o eliminar un dato correctamente de la Base de Datos.

- - ### Method Detail

    - #### displaySuccess

          void displaySuccess()

      Metodo que muestra un mensaje de exito cuando se ha logrado insertar o eliminar un dato correctamente de la Base de Datos.

    - #### displayError

          void displayError()

      Metodo que muestra un mensaje de error cuando se ha intentado insertar o eliminar un dato de la Base de Datos.